# PayLink Settings

## Get PayLink Settings

> Retrieve the paylink configuration settings for a terminal, including enablement status and redirect URLs.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/paylink":{"get":{"tags":["PayLink Settings"],"summary":"Get PayLink Settings","description":"Retrieve the paylink configuration settings for a terminal, including enablement status and redirect URLs.","operationId":"getSettings_3","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayLinkPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PayLinkPayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"PayLinkPayload":{"type":"object","properties":{"paylink":{"$ref":"#/components/schemas/paylink"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload","xml":{"name":"payload"}},"paylink":{"required":["cancel-url","enabled","metadata","success-url","terminalId"],"type":"object","properties":{"terminalId":{"type":"integer","description":"Identifier for the terminal associated with the Paylink settings.","format":"int64"},"enabled":{"type":"boolean","description":"Indicates whether Paylink settings are enabled (true) or disabled (false).","enum":[true,false]},"metadata":{"type":"object","additionalProperties":{"type":"string","description":"Optional key-value pairs for storing additional custom metadata."},"description":"Optional key-value pairs for storing additional custom metadata."},"success-url":{"type":"string","description":"URL to redirect the user after a successful payment."},"cancel-url":{"type":"string","description":"URL to redirect the user if the payment is canceled."}},"description":"Contains the paylink configuration settings for the terminal.","xml":{"name":"paylink"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## Create PayLink Settings

> Create a paylink settings for a terminal by enabling or configuring paylink payment options.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/paylink":{"post":{"tags":["PayLink Settings"],"summary":"Create PayLink Settings","description":"Create a paylink settings for a terminal by enabling or configuring paylink payment options.","operationId":"createSettings_1","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/paylink"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayLinkPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PayLinkPayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"paylink":{"required":["cancel-url","enabled","metadata","success-url","terminalId"],"type":"object","properties":{"terminalId":{"type":"integer","description":"Identifier for the terminal associated with the Paylink settings.","format":"int64"},"enabled":{"type":"boolean","description":"Indicates whether Paylink settings are enabled (true) or disabled (false).","enum":[true,false]},"metadata":{"type":"object","additionalProperties":{"type":"string","description":"Optional key-value pairs for storing additional custom metadata."},"description":"Optional key-value pairs for storing additional custom metadata."},"success-url":{"type":"string","description":"URL to redirect the user after a successful payment."},"cancel-url":{"type":"string","description":"URL to redirect the user if the payment is canceled."}},"description":"Contains the paylink configuration settings for the terminal.","xml":{"name":"paylink"}},"PayLinkPayload":{"type":"object","properties":{"paylink":{"$ref":"#/components/schemas/paylink"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload","xml":{"name":"payload"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## Update PayLink Settings

> Update the Paylink settings for a terminal.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/paylink":{"put":{"tags":["PayLink Settings"],"summary":"Update PayLink Settings","description":"Update the Paylink settings for a terminal.","operationId":"updateSettings_2","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/paylink"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayLinkPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PayLinkPayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"paylink":{"required":["cancel-url","enabled","metadata","success-url","terminalId"],"type":"object","properties":{"terminalId":{"type":"integer","description":"Identifier for the terminal associated with the Paylink settings.","format":"int64"},"enabled":{"type":"boolean","description":"Indicates whether Paylink settings are enabled (true) or disabled (false).","enum":[true,false]},"metadata":{"type":"object","additionalProperties":{"type":"string","description":"Optional key-value pairs for storing additional custom metadata."},"description":"Optional key-value pairs for storing additional custom metadata."},"success-url":{"type":"string","description":"URL to redirect the user after a successful payment."},"cancel-url":{"type":"string","description":"URL to redirect the user if the payment is canceled."}},"description":"Contains the paylink configuration settings for the terminal.","xml":{"name":"paylink"}},"PayLinkPayload":{"type":"object","properties":{"paylink":{"$ref":"#/components/schemas/paylink"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload","xml":{"name":"payload"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## Delete PayLink Settings

> Delete the paylink settings configured for a terminal.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/paylink":{"delete":{"tags":["PayLink Settings"],"summary":"Delete PayLink Settings","description":"Delete the paylink settings configured for a terminal.","operationId":"deleteSettings","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayLinkPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PayLinkPayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"PayLinkPayload":{"type":"object","properties":{"paylink":{"$ref":"#/components/schemas/paylink"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload","xml":{"name":"payload"}},"paylink":{"required":["cancel-url","enabled","metadata","success-url","terminalId"],"type":"object","properties":{"terminalId":{"type":"integer","description":"Identifier for the terminal associated with the Paylink settings.","format":"int64"},"enabled":{"type":"boolean","description":"Indicates whether Paylink settings are enabled (true) or disabled (false).","enum":[true,false]},"metadata":{"type":"object","additionalProperties":{"type":"string","description":"Optional key-value pairs for storing additional custom metadata."},"description":"Optional key-value pairs for storing additional custom metadata."},"success-url":{"type":"string","description":"URL to redirect the user after a successful payment."},"cancel-url":{"type":"string","description":"URL to redirect the user if the payment is canceled."}},"description":"Contains the paylink configuration settings for the terminal.","xml":{"name":"paylink"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/gateway-settings/paylink-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
